Mark a filing as Filed with an acknowledgement reference
curl --request POST \
--url https://app.ontime.hosai.app/api/compliance/filings/{id}/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ackRef": "<string>"
}
'import requests
url = "https://app.ontime.hosai.app/api/compliance/filings/{id}/file"
payload = { "ackRef": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ackRef: '<string>'})
};
fetch('https://app.ontime.hosai.app/api/compliance/filings/{id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "PF",
"period": "<string>",
"periodLabel": "<string>",
"state": "<string>",
"dueDate": "<string>",
"amount": 0,
"amountOverridden": true,
"overrideNote": "<string>",
"status": "Pending",
"filedAt": "<string>",
"ackRef": "<string>"
}Compliance
Mark a filing as Filed with an acknowledgement reference
Mark a filing as Filed with an acknowledgement reference
POST
/
api
/
compliance
/
filings
/
{id}
/
file
Mark a filing as Filed with an acknowledgement reference
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Maximum string length:
80Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
PF, ESI, ProfessionalTax, TDS24Q Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
Pending, Filed